"use strict";
/**
 * penguins-eggs
 * class: pve.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/**
 * This will create a symbolic link from the system’s copy of the service file (usually in /lib/systemd/system or /etc/systemd/system)
 * into the location on disk where systemd looks for autostart files (usually /etc/systemd/system/some_target.target.wants.
 * We will go over what a target is later in this guide).
 * To disable the service from starting automatically, you can type:
 * sudo systemctl disable application.service
 * This will remove the symbolic link that indicated that the service should be started automatically.
 */
const systemctl_1 = tslib_1.__importDefault(require("./systemctl"));
const path_1 = tslib_1.__importDefault(require("path"));
const shelljs_1 = tslib_1.__importDefault(require("shelljs"));
class PveLive {
    constructor() {
        this.systemctl = {};
        this.systemctl = new systemctl_1.default();
    }
    /**
     * enable PveLIve
     */
    enable() {
        this.systemctl.enable('pve-live');
    }
    /**
     * disable
     */
    disable() {
        this.systemctl.disable('pve-live');
    }
    create(root = '/') {
        this.createScript(root);
        this.createService(root);
    }
    /**
     *
     */
    createScript(root = '/') {
        shelljs_1.default.cp(path_1.default.resolve(__dirname, '../../scripts/pve-live.sh'), root + '/usr/bin/');
    }
    /**
     *
     */
    createService(root = '/') {
        shelljs_1.default.cp(path_1.default.resolve(__dirname, '../../scripts/pve-live.service'), root + '/lib/systemd/system/');
    }
    /**
     *
     */
    start() {
        this.systemctl.start('pve-live');
        // this.systemctl.start('lxcfs')
        // this.systemctl.start('pve-cluster')
        // this.systemctl.start('pve-firewall')
        // this.systemctl.start('pve-guests')
        // this.systemctl.start('pve-ha-crm')
        // this.systemctl.start('pve-ha-lrm')
    }
    /**
     *
     */
    stop() {
        this.systemctl.stop('pve-live');
    }
}
exports.default = PveLive;
