"use strict";
/**
 * penguins-eggs
 * krill modules: network.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 * https://stackoverflow.com/questions/23876782/how-do-i-split-a-typescript-class-into-multiple-files
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = tslib_1.__importDefault(require("../../classes/utils"));
const pacman_1 = tslib_1.__importDefault(require("../../classes/pacman"));
/**
/**
 * networkcfg
 *
 * we have:
 * - debian: /etc/network/interface
 * - ubuntu: netplan
 * - manjaro: ? // ip address add 192.168.61/24 + dev enp6s18
 */
async function networkCfg() {
    if (this.distro.familyId === 'debian' && // if netplan, don't create entries in /etc/network/interfaces
        !pacman_1.default.packageIsInstalled('netplan.io')) {
        const file = this.installTarget + '/etc/network/interfaces';
        let content = '# created by eggs\n\n';
        content += 'auto lo\n';
        content += 'iface lo inet loopback\n\n';
        content += 'auto ' + this.network.iface + '\n';
        content += 'iface ' + this.network.iface + ' inet ' + this.network.addressType + '\n';
        if (this.network.addressType !== 'dhcp') {
            content += '    address ' + this.network.address + '\n';
            content += '    netmask ' + this.network.netmask + '\n';
            content += '    gateway ' + this.network.gateway + '\n';
        }
        utils_1.default.write(file, content);
    }
    /**
       * resolv.conf
       */
    if (this.network.addressType !== 'dhcp') {
        const file = this.installTarget + '/etc/resolv.conf';
        let content = '# created by eggs\n\n';
        content += 'domain ' + this.network.domain + '\n';
        for (const element of this.network.dns) {
            content += 'nameserver ' + element + '\n';
        }
        utils_1.default.write(file, content);
    }
}
exports.default = networkCfg;
