/**
 * penguins-eggs
 * lib: get_root_password.ts
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer = require('inquirer');
async function geRootPassword(initial) {
    const requireLetterAndNumber = (value) => {
        if (/\w/.test(value) && /\d/.test(value)) {
            return true;
        }
    };
    return new Promise(function (resolve) {
        const questions = [
            {
                type: 'password',
                message: 'Repeat password: ',
                name: 'password',
                default: initial,
                // validate: requireLetterAndNumber,
            },
            {
                type: 'password',
                message: 'Choose a password to keep your account safe: ',
                name: 'confirmPassword',
                default: initial,
                // validate: requireLetterAndNumber,
            },
        ];
        inquirer.prompt(questions).then(function (options) {
            resolve(options.password);
        });
    });
}
exports.default = geRootPassword;
